mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Security.Cryptography.SymmetricAlgorithm System.Runtime.InteropServices.ComVisible(true)

This algorithm supports a key length of 64 bits.

A newer asymmetric encryption algorithm, Advanced Encryption Standard (AES), is available. Consider using the class instead of the class. Use only for compatibility with legacy applications and data.

Represents the base class for the Data Encryption Standard (DES) algorithm from which all implementations must derive.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  You cannot create an instance of an abstract class. Application code will create a new instance of a derived class.

  This method initializes the protected fields of the class to the default values shown in the following table.

  Field

  Default Value

  64

  64

  64

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.DES

  Creates an instance of the object that can be used for encrypting and decrypting data.

  Creates an instance of a cryptographic object to perform the Data Encryption Standard () algorithm.

  A cryptographic object.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.DES `` New implementation can be added, or currents can be modified, by modifying the machine.config configuration file.

  Creates an instance of a cryptographic object to perform the specified implementation of the Data Encryption Standard () algorithm.

  A cryptographic object.

  The name of the specific implementation of to use.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  Semi-weak keys are pairs of keys that result in ciphers that are easy to break. If text is encrypted with a semi-weak key, encrypting the resulting cipher with the partner of that semi-weak key returns the original text. There are six known semi-weak key pairs for the Data Encryption Standard () algorithm; this method checks for those semi-weak keys.

  Attempting to set a semi-weak key results in a . When is called to create a random key, a semi-weak key will never be returned.

  Determines whether the specified key is semi-weak.

  true if the key is semi-weak; otherwise, false.

  The secret key to test for semi-weakness.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  Weak keys are keys that result in ciphers that are easy to break. If text is encrypted with a weak key, encrypting the resulting cipher again with the same weak key returns the original text. There are four known weak keys for the Data Encryption Standard () algorithm; this method checks for those weak keys.

  Attempting to set a weak key results in a . When is called to create a random key, a weak key will never be returned.

  Determines whether the specified key is weak.

  true if the key is weak; otherwise, false.

  The secret key to test for weakness.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[] To be added.

  If this property is null when it is used, is called to create a new random value.

  The length of the key must be equal to .

  This algorithm supports a key length of 64 bits.

  Gets or sets the secret key for the Data Encryption Standard () algorithm.